#include <stdint.h>
#include "stage.h"
#include "enemy.h"
#include "main.h"
#define s(c) (c<<8)

const enemy_t minedat =  {EN_MINE,       320<<8,   0<<8,5,enemycrawl,0};



const enemy_t s1_v1 = {EN_REDTIGERSUB,320*256, 40<<8,10,enemycrawlwidetrishot,0};

const enemy_t s5_v1 = {EN_REDTIGERSUB,320*256, 110<<8,50,enemycrawsupershot,0};


stage_t stage1[] = {
	S_NEWEN, ((intptr_t)&s1_v1),
	S_WAITUNTIL,200,
	S_COPYEN,320<<8,200<<8,
	S_WAITUNTIL,400,
	S_COPYEN,320<<8,120<<8,
	S_WAITUNTIL,600,
	S_COPYEN,320<<8,10<<8,
	S_COPYEN,320<<8,206<<8,
	S_WAITUNTIL,1000,
	S_RANDMINE,S_WAITUNTIL,1150,
	S_RANDMINE,S_WAITUNTIL,1250,
	S_RANDMINE,S_WAITUNTIL,1350,
	S_RANDMINE,S_WAITUNTIL,1450,
	S_RANDMINE,S_WAITUNTIL,1500,
	S_RANDMINE,S_WAITUNTIL,1550,
	S_RANDMINE,S_WAITUNTIL,1600,
	S_RANDMINE,S_WAITUNTIL,1650,
	S_RANDMINE,S_WAITUNTIL,1700,
//	S_RANDMINE,S_RANDMINE,S_WAITUNTIL,1750,
//	S_RANDMINE,S_RANDMINE,S_WAITUNTIL,1800,
//	S_RANDMINE,S_RANDMINE,S_WAITUNTIL,2000,
	S_COPYEN,320<<8,30<<8,
	S_COPYEN,320<<8,90<<8,
	S_COPYEN,320<<8,150<<8,
	S_WAITUNTIL,2300,
//	S_COPYEN,320<<8,90<<8,
//	S_COPYEN,320<<8,150<<8,
//	S_COPYEN,320<<8,210<<8,
//	S_WAITUNTIL,3000,
	S_ENDSTAGE
};

stage_t stage2[] = {
	S_NEWEN, ((intptr_t)&s1_v1),
	S_WAITUNTIL,200,
	S_COPYEN,320<<8,200<<8,
	S_WAITUNTIL,400,
	S_COPYEN,320<<8,120<<8,
	S_WAITUNTIL,600,
	S_COPYEN,320<<8,10<<8,
	S_COPYEN,320<<8,206<<8,
	S_WAITUNTIL,1000,
	S_RANDMINE,S_WAITUNTIL,1150,
	S_RANDMINE,S_WAITUNTIL,1250,
	S_RANDMINE,S_WAITUNTIL,1350,
	S_RANDMINE,S_WAITUNTIL,1450,
	S_RANDMINE,S_WAITUNTIL,1500,
	S_RANDMINE,S_WAITUNTIL,1550,
	S_RANDMINE,S_WAITUNTIL,1600,
	S_RANDMINE,S_WAITUNTIL,1650,
	S_RANDMINE,S_WAITUNTIL,1700,
	S_RANDMINE,S_RANDMINE,S_WAITUNTIL,1750,
	S_RANDMINE,S_RANDMINE,S_WAITUNTIL,1800,
	S_RANDMINE,S_RANDMINE,S_WAITUNTIL,2000,
	S_COPYEN,320<<8,30<<8,
	S_COPYEN,320<<8,90<<8,
	S_COPYEN,320<<8,150<<8,
	S_WAITUNTIL,2300,
	S_COPYEN,320<<8,90<<8,
	S_COPYEN,320<<8,150<<8,
	S_COPYEN,320<<8,210<<8,
	S_WAITUNTIL,3000,
	S_ENDSTAGE
};

stage_t stage3[] = {
	S_NEWEN, ((intptr_t)&s1_v1),
	S_WAITUNTIL,200,
	S_COPYEN,320<<8,200<<8,
	S_WAITUNTIL,400,
	S_COPYEN,320<<8,120<<8,
	S_WAITUNTIL,600,
	S_COPYEN,320<<8,10<<8,
	S_COPYEN,320<<8,206<<8,
	S_WAITUNTIL,1000,
	S_RANDMINE,S_WAITUNTIL,1150,
	S_RANDMINE,S_WAITUNTIL,1250,
	S_RANDMINE,S_WAITUNTIL,1350,
	S_RANDMINE,S_WAITUNTIL,1450,
	S_RANDMINE,S_WAITUNTIL,1500,
	S_RANDMINE,S_WAITUNTIL,1550,
	S_RANDMINE,S_WAITUNTIL,1600,
	S_RANDMINE,S_WAITUNTIL,1650,
	S_RANDMINE,S_WAITUNTIL,1700,
	S_RANDMINE,S_RANDMINE,S_WAITUNTIL,1750,
	S_RANDMINE,S_RANDMINE,S_WAITUNTIL,1800,
	S_RANDMINE,S_RANDMINE,S_WAITUNTIL,2000,
	S_COPYEN,320<<8,30<<8,
	S_COPYEN,320<<8,90<<8,
	S_COPYEN,320<<8,150<<8,
	S_WAITUNTIL,2300,
	S_COPYEN,320<<8,90<<8,
	S_COPYEN,320<<8,150<<8,
	S_COPYEN,320<<8,210<<8,
	S_RANDMINE,S_RANDMINE,S_WAITUNTIL,2500,
	S_RANDMINE,S_RANDMINE,S_WAITUNTIL,2600,
	S_RANDMINE,S_RANDMINE,S_WAITUNTIL,2700,
	S_COPYEN,320<<8,30<<8,
	S_COPYEN,320<<8,90<<8,
	S_COPYEN,320<<8,150<<8,
	S_WAITUNTIL,3200,
	S_ENDSTAGE
};

stage_t stage4[] = {
	S_NEWEN, ((intptr_t)&s1_v1),
	S_WAITUNTIL,200,
	S_COPYEN,320<<8,0<<8,
	S_COPYEN,320<<8,40<<8,
	S_COPYEN,320<<8,80<<8,
	S_COPYEN,320<<8,120<<8,
	S_WAITUNTIL,600,
	S_COPYEN,320<<8,80<<8,
	S_COPYEN,320<<8,120<<8,
	S_COPYEN,320<<8,160<<8,
	S_COPYEN,320<<8,200<<8,
	S_WAITUNTIL,1000,
	S_COPYEN,320<<8,0<<8,
	S_COPYEN,320<<8,40<<8,
	S_COPYEN,320<<8,80<<8,
	S_COPYEN,320<<8,120<<8,	
	S_WAITUNTIL,1200,
	S_RANDMINE,S_RANDMINE,S_WAITUNTIL,1400,
	S_RANDMINE,S_RANDMINE,S_WAITUNTIL,1500,	
	S_RANDMINE,S_RANDMINE,S_WAITUNTIL,1600,	
	S_RANDMINE,S_RANDMINE,S_WAITUNTIL,1700,	
	S_RANDMINE,S_RANDMINE,S_WAITUNTIL,1800,
	S_COPYEN,320<<8,0<<8,
	S_COPYEN,320<<8,40<<8,
	S_COPYEN,320<<8,80<<8,
	S_COPYEN,320<<8,120<<8,
	S_COPYEN,320<<8,160<<8,
	S_COPYEN,320<<8,200<<8,
	S_WAITUNTIL,2300,
	S_ENDSTAGE,
	
};

stage_t stage5[] = {
	S_NEWEN, ((intptr_t)&s5_v1),
	S_WAITUNTIL,500,
	S_ENDSTAGE,
};

stage_t stage6[] = {
	S_NEWEN, ((intptr_t)&s1_v1),
	S_WAITUNTIL,200,
	S_COPYEN,320<<8,0<<8,
	S_COPYEN,320<<8,40<<8,
	S_COPYEN,320<<8,80<<8,
	S_COPYEN,320<<8,120<<8,
	S_WAITUNTIL,700,
	S_COPYEN,320<<8,0<<8,
	S_COPYEN,320<<8,40<<8,
	S_COPYEN,320<<8,120<<8,
	S_COPYEN,320<<8,160<<8,
	S_COPYEN,320<<8,200<<8,
	S_WAITUNTIL,1100,
	S_COPYEN,320<<8,0<<8,
	S_COPYEN,320<<8,40<<8,
	S_COPYEN,320<<8,80<<8,
	S_COPYEN,320<<8,120<<8,
	S_COPYEN,320<<8,200<<8,
	S_WAITUNTIL,1600,
	S_COPYEN,320<<8,0<<8,
	S_COPYEN,320<<8,40<<8,
	S_COPYEN,320<<8,80<<8,
	S_COPYEN,320<<8,120<<8,
	S_COPYEN,320<<8,160<<8,
	S_COPYEN,320<<8,200<<8,
	S_WAITUNTIL,2300,
	S_NEWEN, ((intptr_t)&s5_v1),
	S_WAITUNTIL,2700,
	S_ENDSTAGE,
};

stage_t stage7[] = {
	S_NEWEN, ((intptr_t)&s5_v1),
	S_COPYEN,320<<8,0<<8,
	S_WAITUNTIL,500,
	S_RANDMINE,S_RANDMINE,S_WAITUNTIL,600,
	S_RANDMINE,S_RANDMINE,S_WAITUNTIL,750,	
	S_RANDMINE,S_RANDMINE,S_WAITUNTIL,800,	
	S_RANDMINE,S_RANDMINE,S_WAITUNTIL,850,	
	S_RANDMINE,S_RANDMINE,S_WAITUNTIL,900,
	S_COPYEN,320<<8,200<<8,
	S_WAITUNTIL,1300,
	S_ENDSTAGE,
};

stage_t stage8[] = {
	S_NEWEN, ((intptr_t)&s5_v1),
	S_WAITUNTIL,50,
	S_RANDMINE,S_RANDMINE,S_WAITUNTIL,100,
	S_RANDMINE,S_RANDMINE,S_WAITUNTIL,125,
	S_RANDMINE,S_RANDMINE,S_WAITUNTIL,150,
	S_RANDMINE,S_RANDMINE,S_WAITUNTIL,175,
	S_RANDMINE,S_RANDMINE,S_WAITUNTIL,200,
	S_COPYEN,320<<8,40<<8,
	S_RANDMINE,S_RANDMINE,S_WAITUNTIL,225,
	S_RANDMINE,S_RANDMINE,S_WAITUNTIL,250,
	S_RANDMINE,S_RANDMINE,S_WAITUNTIL,275,
	S_RANDMINE,S_RANDMINE,S_WAITUNTIL,300,
	S_RANDMINE,S_RANDMINE,S_WAITUNTIL,325,
	S_COPYEN,320<<8,80<<8,
	S_RANDMINE,S_RANDMINE,S_WAITUNTIL,350,
	S_RANDMINE,S_RANDMINE,S_WAITUNTIL,375,
	S_RANDMINE,S_RANDMINE,S_WAITUNTIL,400,
	S_RANDMINE,S_RANDMINE,S_WAITUNTIL,425,
	S_RANDMINE,S_RANDMINE,S_WAITUNTIL,450,
	S_COPYEN,320<<8,120<<8,
	S_RANDMINE,S_RANDMINE,S_WAITUNTIL,475,
	S_RANDMINE,S_RANDMINE,S_WAITUNTIL,500,
	S_RANDMINE,S_RANDMINE,S_WAITUNTIL,525,
	S_RANDMINE,S_RANDMINE,S_WAITUNTIL,550,
	S_RANDMINE,S_RANDMINE,S_WAITUNTIL,575,
	S_COPYEN,320<<8,160<<8,
	S_RANDMINE,S_RANDMINE,S_WAITUNTIL,600,
	S_RANDMINE,S_RANDMINE,S_WAITUNTIL,625,
	S_RANDMINE,S_RANDMINE,S_WAITUNTIL,650,
	S_RANDMINE,S_RANDMINE,S_WAITUNTIL,675,
	S_RANDMINE,S_RANDMINE,S_WAITUNTIL,700,
	S_COPYEN,320<<8,240<<8,
	S_WAITUNTIL,1000,
	S_ENDSTAGE,
};



stage_t* stages[] = {stage1,stage2,stage3,stage4,stage5,stage6,stage7,stage8};














