#ifndef __stagedata__
#define __stagedata__
#include <stdint.h>
#include "enemy.h"


typedef struct stage_t {
	union {
		intptr_t ival;
		void *ptr;
	} val;
} stage_t;

extern stage_t* stages[];
extern const enemy_t minedat;


#define S_NEWEN 1     //Next value is ptr to complete enemy_t structure
#define S_COPYEN 2    //Next two values is new X,Y ints for previously used enemy
#define S_WAITUNTIL 3 //Next value is value main timer must be before continuing
#define S_GOSUB 4     //Next value is ptr to subr. Do not use S_WAITUNTIL in it.
#define S_RETURN 5    //Return from subroutine
#define S_ENDSTAGE 6  //Ends the stage by setting GM_CLOSINGANIM
#define S_RANDMINE 7

#endif